#
# spec file for package gap-autodoc
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           gap-autodoc
Version:        2023.06.19
Release:        1.3
Summary:        GAP: Tools for generating automatic GAPDoc documentations
License:        GPL-2.0-only
Group:          Productivity/Scientific/Math
URL:            http://gap-packages.github.io/AutoDoc/
Source:         https://github.com/gap-packages/AutoDoc/releases/download/v%version/AutoDoc-%version.tar.gz
BuildRequires:  fdupes
BuildRequires:  gap-rpm-devel
BuildRequires:  xz
BuildArch:      noarch
Requires:       gap-core >= 4.5
Requires:       gap-gapdoc >= 1.6.3

%description
This package is supposed to help creating documentations for GAP
packages. It makes it possible to create documentation without
writing .xml. It is not in any way a substitution for GAPDoc, but
needs it to compile its output.

%prep
%autosetup -n AutoDoc-%version

%build

%install
%gappkg_simple_install
%fdupes %buildroot/%_prefix

%files -f %name.files

%changelog
* Sun Jun 25 2023 Jan Engelhardt <jengelh@inai.de>
- Update to release 2023.06.29
  * Revise handling of chunks XML file
* Fri Nov 18 2022 Jan Engelhardt <jengelh@inai.de>
- Update to release 2022.10.20
  * Prevent some file descriptor leaks
  * Do not try to read non-existing file gap/ContextObject.gd
* Sun Oct  2 2022 Stefan Brüns <stefan.bruens@rwth-aachen.de>
- Update to release 2022.07.10
  - Output all entities defined via either the `scaffold.entities` option
    to AutoDoc  (or equivalently via the `AutoDoc.entities` record in
    `PackageInfo.g`) into a file `_entities.xml`, so that they can also
    be used with a hand-made main XML file (and not just when AutoDoc
    generated the main page)
  - Remove `&see;` entity from the default list of entities
* Mon Apr 25 2022 Jan Engelhardt <jengelh@inai.de>
- Update to release 2022.03.10
  * Accept single backticks to indicate inline code spans
  * Add @NotLatex command to complement @LatexOnly
  * Make @Begin.../@EndExampleSession respect plain_text_mode
  * Add support for ISO 8601 dates in package metadata (to
    prepare for GAP adding official support for this in the
    future)
  * Fix support for chunks with names / labels that contain
    spaces (GAPDoc does not like these, so we replace the spaces
    by underscores)
  * Add support for using the string `]]>` in examples
  * Add support for `DeclareGlobalName` (new in GAP 4.12)
  * Add extract_examples.skip_empty_in_numbering option
* Wed Nov 14 2018 Jan Engelhardt <jengelh@inai.de>
- Update to new upstream release 2018.09.20
  * Scan bracket `\[\]` declarations correctly
  * Removed the hardcoded utf8 option, make it overrideable via
    gapdoc_latex_option
  * Allow AutoDoc() to take absolute dirs and run from any dir
  * Add a test suite for AutoDoc
  * Fix documenting DeclareInfoClass
* Thu Jul 26 2018 jengelh@inai.de
- Update to new upstream release 2018.02.14
  * Document @BeginExampleSession instead of @ExampleSession
  * Document the aliases @Example, @ExampleSession, @Log, and
    @LogSession
* Fri Dec 22 2017 jengelh@inai.de
- Update to new upstream release 2017.09.08
  * Fix spellos in documentation.
* Sat Apr 29 2017 jengelh@inai.de
- Update to new upstream release 2016.12.04
  * Revise and officially document the `entities` option for
    AutoDoc()
  * Better error message when .six file is not available
* Sun Mar 27 2016 jengelh@inai.de
- Update to new upstream release 2016.03.08
  * Fix "empty index" workaround
* Fri Mar 11 2016 jengelh@inai.de
- Update to new upstream release 2016.02.16
  * The AutoDoc() function now accepts IsDirectory() objects as first
  argument, and you can omit the first argument (it then defaults to
  the current directory).
* Mon Dec  7 2015 jengelh@inai.de
- Update to new upstream release 2015.09.30
  * No user changelog was provided
* Tue Aug  4 2015 jengelh@inai.de
- Update to new upstream release 2015.04.29
  * No user changelog was provided
* Fri Dec  5 2014 jengelh@inai.de
- Update to new upstream release 2014.08.21
  * No user changelog was provided
* Wed Jun 18 2014 jengelh@inai.de
- Update to new upstream release 2014.03.27
  * No user changelog was provided
* Tue Feb  4 2014 jengelh@inai.de
- Update to new upstream release 2013.09.20
  * No user changelog was provided
* Fri May 10 2013 jengelh@inai.de
- Split autodoc (version 2013.01.16) off the gap RPM package
